Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.myclass
Class FormalParameter

    java.lang.Object
      mycompiler.myclass.FormalParameter

All Implemented Interfaces:
  ITypeReplacementListener

    public class FormalParameter

extends java.lang.Object
implements ITypeReplacementListener

Constructor Summary
`FormalParameter()`

Method Summary
`void` | `codegen(ClassFile classfile, CodeAttribute code)`
`java.lang.String` | `get_Name()`
`int` | `getLineNumber()` Author: Jörg Bäuerle
`Type` | `getType()`
`int` | `getTypeLineNumber()` Author: Jörg Bäuerle
`java.lang.String` | `getTypeName()`
`void` | `replaceType(CReplaceTypeEvent e)` Author: Jörg Bäuerle
`void` | `set_DeclId(DeclId did)`
`void` | `setType(Type t)` Author: Jörg Bäuerle

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormalParameter

    public FormalParameter()

Method Detail

### setType

    public void setType(Type t)

  Author: Jörg Bäuerle

  Parameters:
    `t` -

### set_DeclId

    public void set_DeclId(DeclId did)

### get_Name

    public java.lang.String get_Name()

### getType

    public Type getType()

### getTypeName

    public java.lang.String getTypeName()

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code)

### getLineNumber

    public int getLineNumber()

  Author: Jörg Bäuerle

  Returns:

### replaceType

    public void replaceType(CReplaceTypeEvent e)

  Author: Jörg Bäuerle

  Specified by:
    `replaceType` in interface `ITypeReplacementListener`
  Parameters:
    `e` -

### getTypeLineNumber

    public int getTypeLineNumber()

  Author: Jörg Bäuerle

  Specified by:
    `getTypeLineNumber` in interface `ITypeReplacementListener`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD